Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.jsb
Class JSBLoader

    java.lang.Object
      org.jini.rio.jsb.JSBLoader

All Implemented Interfaces:
  ServiceBeanFactory

    public class JSBLoader

extends Object
implements ServiceBeanFactory

The JSBLoader will load and create a ServiceBean.

Nested Class Summary

Nested classes/interfaces inherited from interface org.jini.rio.core.jsb.ServiceBeanFactory
`ServiceBeanFactory.Created`

Constructor Summary
`JSBLoader()`

Method Summary
`ServiceBeanFactory.Created` | `create(ServiceBeanContext context)` The create method is called to create the service implementation and to create the proxy to communicate with the service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSBLoader

    public JSBLoader()

Method Detail

### create

    public ServiceBeanFactory.Created create(ServiceBeanContext context)
                                      throws JSBInstantiationException

  Description copied from interface: `ServiceBeanFactory`
  The create method is called to create the service implementation and to create the proxy to communicate with the service. There is no requirement to create a class loader, this method will be called with the context class loader set to the class loader that can be used to load the service. If needed, the class loader can be obtained by access the thread's current context class loader. Additionally:
  - If the service has been configured with any shared resources, they will have been loaded into the common class loader prior to the invocation of this method.
  - If any logger instances have been configured for the service, specific loggers and handlers will have been configued prior to the invocation of this method

  Specified by:
    `create` in interface `ServiceBeanFactory`
  Parameters:
    `context` - The `ServiceBeanContext` describing the service to create
  Returns:
    The Created object
  Throws:
    `JSBInstantiationException` - If there are errors creating the service bean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.